# GetStakingAccount Endpoint: GET /staking/v5/stakingAccounts/{accountNumber} Version: 1.5.0 Security: ## Path parameters: - `accountNumber` (string, required) ## Query parameters: - `includeOrdersInProgress` (boolean) - `includeRewards` (boolean) ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `accountNumber` (string) Staking account number. - `stakingAccountType` (string) The account type of the staking account. Enum: "Unknown", "Trading", "Staking", "Vault" - `assetSymbol` (string) Asset Symbol for the Staking Account. - `payoutAccount` (string,null) Configured payout account that gets rewards earned. - `commission` (number) The commission taken on staking rewards to the account as a percentage. - `productId` (string) Product ID of the staking account. - `rewardDetails` (object,null) Details about the rewards for the Staking Account - `rewardDetails.rewardsToDate` (number) Sum of rewards paid out for the staking account. - `rewardDetails.rewardsToDateAfterCommissions` (number) Sum of rewards paid out for the staking account after commissions. - `rewardDetails.payoutAssetSymbol` (string) Asset symbol used for payouts. - `orderDetails` (object,null) Details about the Staking Orders for the Staking Account - `orderDetails.entriesInProgress` (object,null) Aggregation of entry orders in progress. - `orderDetails.entriesInProgress.count` (integer) The number of orders in the aggregation. - `orderDetails.entriesInProgress.totalAmount` (number) The total sum of amounts of all orders in the aggregation. - `orderDetails.exitsInProgress` (object,null) Aggregation of entry orders in progress. - `isSafeToClose` (boolean,null) Whether it is safe to close the account. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 204 fields ## Response 401 fields ## Response 403 fields